cdac.medinfo.sdk.hl7282.baselibs.segments

## Class BUI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.BUI

- All Implemented Interfaces:
    ISegment

      public class BUI
      extends Segment

  BUI - Blood Unit information Segment

  This segment is to describe the information associated with a blood unit, one example of which is one or more blood unit(s) resulting from a BUIation.

  Represents an HL7 Blood Unit information Segment. This segment has the following fields:

  BUI-1: Set ID BUI (SI)Optional
  BUI-2: Blood Unit Identifier (EI)Required
  BUI-3: Blood Unit Type (CWE)Required
  BUI-4: Blood Unit Weight (NM)Required
  BUI-5: Weight Units (CNE)Required
  BUI-6: Blood Unit Volume (NM)Required
  BUI-7: Volume Units (CNE)Required
  BUI-8: Container Catalog Number (ST)Required
  BUI-9: Container Lot Number (ST)Required
  BUI-10: Container Manufacturer (XON)Required
  BUI-11: Transport Temperature (NR)Required
  BUI-12: Transport Temperature Units (CNE)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BUI()` Constructs the BUI segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransportTemperatureUnits(CNE objTransportTemperatureUnits)` Add the Transport Temperature Units.
    `void` | `addTransportTemperatureUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Transport Temperature Units.
    `EI` | `getBloodUnitIdentifier()` Retrieves the Blood Unit Identifier.
    `CWE` | `getBloodUnitType()` Retrieves the Blood Unit Type.
    `NM` | `getBloodUnitVolume()` Retrieves the Blood Unit Volume.
    `NM` | `getBloodUnitWeight()` Retrieves the Blood Unit Weight.
    `ST` | `getContainerCatalogNumber()` Retrieves the Container Catalog Number.
    `ST` | `getContainerLotNumber()` Retrieves the Container Lot Number.
    `XON` | `getContainerManufacturer()` Retrieves the Container Manufacturer.
    `SI` | `getSetID_BUI()` Retrieves the Set ID BUI.
    `NR` | `getTransportTemperature()` Retrieves the Transport Temperature.
    `ISingleCollection<CNE>` | `getTransportTemperatureUnits()` Retrieves the Transport Temperature Units.
    `CNE` | `getVolumeUnits()` Retrieves the Volume Units.
    `CNE` | `getWeightUnits()` Retrieves the Weight Units.
    `void` | `setBloodUnitIdentifier(EI objBloodUnitIdentifier)` Set the Blood Unit Identifier.
    `void` | `setBloodUnitIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Blood Unit Identifier.
    `void` | `setBloodUnitType(CWE objBloodUnitType)` Set the Blood Unit Type.
    `void` | `setBloodUnitType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Blood Unit Type.
    `void` | `setBloodUnitVolume(NM objBloodUnitVolume)` Set the Blood Unit Volume.
    `void` | `setBloodUnitVolume(java.lang.String strBloodUnitVolume)` Set the Blood Unit Volume.
    `void` | `setBloodUnitWeight(NM objBloodUnitWeight)` Set the Blood Unit Weight.
    `void` | `setBloodUnitWeight(java.lang.String strBloodUnitWeight)` Set the Blood Unit Weight.
    `void` | `setContainerCatalogNumber(ST objContainerCatalogNumber)` Set the Container Catalog Number.
    `void` | `setContainerCatalogNumber(java.lang.String strContainerCatalogNumber)` Set the Container Catalog Number.
    `void` | `setContainerLotNumber(ST objContainerLotNumber)` Set the Container Lot Number.
    `void` | `setContainerLotNumber(java.lang.String strContainerLotNumber)` Set the Container Lot Number.
    `void` | `setContainerManufacturer(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Container Manufacturer.
    `void` | `setContainerManufacturer(XON objContainerManufacturer)` Set the Container Manufacturer.
    `void` | `setSetID_BUI(SI objsetID_BUI)` Set the Set ID BUI.
    `void` | `setSetID_BUI(java.lang.String strSetID_BUI)` Set the Set ID BUI.
    `void` | `setTransportTemperature(NM objLowValue, NM objHighValue)` Set the Transport Temperature.
    `void` | `setTransportTemperature(NR objTransportTemperature)` Set the Transport Temperature.
    `void` | `setTransportTemperatureUnits(ISingleCollection<CNE> objTransportTemperatureUnits)` Set the Transport Temperature Units.
    `void` | `setVolumeUnits(CNE objVolumeUnits)` Set the Volume Units.
    `void` | `setVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Volume Units.
    `void` | `setWeightUnits(CNE objWeightUnits)` Set the Weight Units.
    `void` | `setWeightUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Weight Units.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BUI

          public BUI()

      Constructs the BUI segment.

  - ### Method Detail

    - #### getSetID_BUI

          public SI getSetID_BUI()

      Retrieves the Set ID BUI. This field contains a sequence number. When multiple BUI segments are included in the same segment group, this number differentiates between them.
      Returns:
        SI - setID_BUI

    - #### setSetID_BUI

          public void setSetID_BUI(java.lang.String strSetID_BUI)

      Set the Set ID BUI. This field contains a sequence number. When multiple BUI segments are included in the same segment group, this number differentiates between them.
      Parameters:
        `strSetID_BUI` - Specifies setID_BUI.

    - #### setSetID_BUI

          public void setSetID_BUI(SI objsetID_BUI)

      Set the Set ID BUI. This field contains a sequence number. When multiple BUI segments are included in the same segment group, this number differentiates between them.
      Parameters:
        `objsetID_BUI` - Object of Set ID BUI.

    - #### getBloodUnitIdentifier

          public EI getBloodUnitIdentifier()

      Retrieves the Blood Unit Identifier. The blood unit identifier is a unique identifier assigned to the particular blood unit in a container.
      Returns:
        EI - BloodUnitIdentifier in object form.

    - #### setBloodUnitIdentifier

          public void setBloodUnitIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Blood Unit Identifier. The blood unit identifier is a unique identifier assigned to the particular blood unit in a container.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setBloodUnitIdentifier

          public void setBloodUnitIdentifier(EI objBloodUnitIdentifier)

      Set the Blood Unit Identifier. The blood unit identifier is a unique identifier assigned to the particular blood unit in a container.
      Parameters:
        `objBloodUnitIdentifier` - Object of Blood Unit Identifier.

    - #### getBloodUnitType

          public CWE getBloodUnitType()

      Retrieves the Blood Unit Type. The type of blood unit. For donations, this is the type blood unit being described. This element defines which of the types from the referenced table are being described.
      Returns:
        CWE - BloodUnitType

    - #### setBloodUnitType

          public void setBloodUnitType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Blood Unit Type. The type of blood unit. For donations, this is the type blood unit being described. This element defines which of the types from the referenced table are being described.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBloodUnitType

          public void setBloodUnitType(CWE objBloodUnitType)

      Set the Blood Unit Type. The type of blood unit. For donations, this is the type blood unit being described. This element defines which of the types from the referenced table are being described.
      Parameters:
        `objBloodUnitType` - Object of Blood Unit Type.

    - #### getBloodUnitWeight

          public NM getBloodUnitWeight()

      Retrieves the Blood Unit Weight. The weight of the blood unit collected, not including the weight of the container.
      Returns:
        NM - BloodUnitWeight

    - #### setBloodUnitWeight

          public void setBloodUnitWeight(java.lang.String strBloodUnitWeight)

      Set the Blood Unit Weight. The weight of the blood unit collected, not including the weight of the container.
      Parameters:
        `strBloodUnitWeight` - Specifies Blood Unit Weight.

    - #### setBloodUnitWeight

          public void setBloodUnitWeight(NM objBloodUnitWeight)

      Set the Blood Unit Weight. The weight of the blood unit collected, not including the weight of the container.
      Parameters:
        `objBloodUnitWeight` - Object of Blood Unit Weight.

    - #### getWeightUnits

          public CNE getWeightUnits()

      Retrieves the Weight Units. The unit of measure for the weight of the blood unit.
      Returns:
        CNE - WeightUnits

    - #### setWeightUnits

          public void setWeightUnits(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionID,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameOfSecondAltenateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Weight Units. The unit of measure for the weight of the blood unit.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setWeightUnits

          public void setWeightUnits(CNE objWeightUnits)

      Set the Weight Units. The unit of measure for the weight of the blood unit.
      Parameters:
        `objWeightUnits` - Object of Weight Units.

    - #### getBloodUnitVolume

          public NM getBloodUnitVolume()

      Retrieves the Blood Unit Volume. The volume of the blood unit collected.
      Returns:
        NM - BloodUnitVolume

    - #### setBloodUnitVolume

          public void setBloodUnitVolume(java.lang.String strBloodUnitVolume)

      Set the Blood Unit Volume. The volume of the blood unit collected.
      Parameters:
        `strBloodUnitVolume` - Specifies Blood Unit Volume.

    - #### setBloodUnitVolume

          public void setBloodUnitVolume(NM objBloodUnitVolume)

      Set the Blood Unit Volume. The volume of the blood unit collected.
      Parameters:
        `objBloodUnitVolume` - Object of Blood Unit Volume.

    - #### getVolumeUnits

          public CNE getVolumeUnits()

      Retrieves the Volume Units. The unit of measure for the volume of the blood unit.
      Returns:
        CNE - VolumeUnits

    - #### setVolumeUnits

          public void setVolumeUnits(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionID,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameOfSecondAltenateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Volume Units. The unit of measure for the volume of the blood unit.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setVolumeUnits

          public void setVolumeUnits(CNE objVolumeUnits)

      Set the Volume Units. The unit of measure for the volume of the blood unit.
      Parameters:
        `objVolumeUnits` - Object of Volume Units.

    - #### getContainerCatalogNumber

          public ST getContainerCatalogNumber()

      Retrieves the Container Catalog Number. The string catalog number of the blood unit container, which includes a specific container code to identify a collection bag.
      Returns:
        String - ContainerCatalogNumber

    - #### setContainerCatalogNumber

          public void setContainerCatalogNumber(java.lang.String strContainerCatalogNumber)

      Set the Container Catalog Number. The string catalog number of the blood unit container, which includes a specific container code to identify a collection bag.
      Parameters:
        `strContainerCatalogNumber` - Contains the Container Catalog Number.

    - #### setContainerCatalogNumber

          public void setContainerCatalogNumber(ST objContainerCatalogNumber)

      Set the Container Catalog Number. The string catalog number of the blood unit container, which includes a specific container code to identify a collection bag.
      Parameters:
        `objContainerCatalogNumber` - object of Container Catalog Number.

    - #### getContainerLotNumber

          public ST getContainerLotNumber()

      Retrieves the Container Lot Number. The lot number for the collection bag container as assigned by the container manufacturer.
      Returns:
        String - ContainerLotNumber

    - #### setContainerLotNumber

          public void setContainerLotNumber(java.lang.String strContainerLotNumber)

      Set the Container Lot Number. The lot number for the collection bag container as assigned by the container manufacturer.
      Parameters:
        `strContainerLotNumber` - Contains the Container Lot Number.

    - #### setContainerLotNumber

          public void setContainerLotNumber(ST objContainerLotNumber)

      Set the Container Lot Number. The lot number for the collection bag container as assigned by the container manufacturer.
      Parameters:
        `objContainerLotNumber` - object of Container Lot Number.

    - #### getContainerManufacturer

          public XON getContainerManufacturer()

      Retrieves the Container Manufacturer. The organization which manufactured the collection bag container.
      Returns:
        XON - Container Manufacturer.

    - #### setContainerManufacturer

          public void setContainerManufacturer(java.lang.String strOrganizationName,
                                      CWE objOrganizationNameTypeCode,
                                      HD objAssigningAuthority,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strNameRepresentationCode,
                                      java.lang.String strOrganizationIdentifier)

      Set the Container Manufacturer. The organization which manufactured the collection bag container.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setContainerManufacturer

          public void setContainerManufacturer(XON objContainerManufacturer)

      Set the Container Manufacturer. The organization which manufactured the collection bag container.
      Parameters:
        `objContainerManufacturer` - Used as Container Manufacturer.

    - #### getTransportTemperature

          public NR getTransportTemperature()

      Retrieves the Transport Temperature. The temperature range between which the blood unit must be kept during transport.
      Returns:
        String - TransportTemperature

    - #### setTransportTemperature

          public void setTransportTemperature(NM objLowValue,
                                     NM objHighValue)

      Set the Transport Temperature. The temperature range between which the blood unit must be kept during transport.
      Parameters:
        `objLowValue` - Specifies Low value
        `objHighValue` - Specifies High Value.

    - #### setTransportTemperature

          public void setTransportTemperature(NR objTransportTemperature)

      Set the Transport Temperature. The temperature range between which the blood unit must be kept during transport.
      Parameters:
        `objTransportTemperature` - Used as Transport Temperature.

    - #### getTransportTemperatureUnits

          public ISingleCollection<CNE> getTransportTemperatureUnits()

      Retrieves the Transport Temperature Units. The unit of measure of the transport temperature range.
      Returns:
        ISingleCollection - TransportTemperatureUnits

    - #### addTransportTemperatureUnits

          public void addTransportTemperatureUnits(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionID,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameOfSecondAltenateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Transport Temperature Units. The unit of measure of the transport temperature range.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addTransportTemperatureUnits

          public void addTransportTemperatureUnits(CNE objTransportTemperatureUnits)

      Add the Transport Temperature Units. The unit of measure of the transport temperature range.
      Parameters:
        `objTransportTemperatureUnits` - Object of Transport Temperature Units.

    - #### setTransportTemperatureUnits

          public void setTransportTemperatureUnits(ISingleCollection<CNE> objTransportTemperatureUnits)

      Set the Transport Temperature Units. The unit of measure of the transport temperature range.
      Parameters:
        `objTransportTemperatureUnitsList` - List of Transport Temperature Units.